<template name="Concepts">
  <h2>Concepts list</h2>
  {{> ConceptsList}}
  {{#if selectedConcept}}
    {{> ConceptEditForm}}
  {{else}}
    {{#if displayCreateForm}}
      {{> ConceptCreateForm}}
    {{else}}
      <p>
        <i data-view-action="toggle-create" class="clickable fa fa-plus"></i>
      </p>
    {{/if}}
  {{/if}}
</template>

<template name="ConceptsList">
  {{#each concepts}}
    {{> ConceptsListEntry}}
  {{/each}}
</template>

<template name="ConceptsListEntry">
    <p data-view-action="select" class="clickable">{{ name }}</p>
</template>

<template name="ConceptEditForm">
  {{#with selectedConcept}}
    <form data-action="edit-concept">
      <span>
        <h2>Edit a concept</h2><i data-view-action="unselect" class="clickable fa fa-times"></i>
      </span>
      <p>
        <label for="name">Name</label>
        <input type="text" name="name" value="{{ name }}">
      </p>
      <p>
        <label for="name">Color</label>
        <input type="text" name="color" value="{{ color }}">
      </p>
      <p>
        <label for="description">Description</label>
        <textarea name="description" rows="8">{{ description }}</textarea>
      </p>
      <p>
        <input type="submit" value="Edit">
        <button data-action="remove" type="button" name="Remove">
          <i class="fa fa-trash"></i>
        </button>
      </p>
    </form>
  {{/with}}
</template>

<template name="ConceptCreateForm">
  <form data-action="create-concept">
    <span>
      <h2>Add a concept</h2><i data-view-action="toggle" class="clickable fa fa-times"></i>
    </span>
    <p>
      <label for="name">Name</label>
      <input type="text" name="name" value="">
    </p>
    <p>
      <label for="name">Color</label>
      <input type="text" name="color" value="{{ color }}">
    </p>
    <p>
      <label for="description">Description</label>
      <textarea name="description" rows="8"></textarea>
    </p>
    <p>
      <input type="submit" value="Add">
    </p>
  </form>
</template>
